Installing both April 2012 and June 2012 WES09IE7WMP11 security updates results in duplicate Primitive:Shlwapi component in the database

Microsoft

bloggers

discussions

Installing both April 2012 and June 2012 WES09IE7WMP11 security updates results in duplicate Primitive:Shlwapi component in the database

  • Comments 0

If both April 2012 WES09IE7WMP11 and June 2012 WES09IE7WMP11 security updates have been installed, there is a bug that causes duplicate "Primitive: Shlwapi" components in the database which may prevent successful image creation. The following workaround steps should be performed on machines used for creating images.

Workaround steps:

  1. Open Component Database Manager.
  2. Select Packages tab.
  3. Under Available packages, select Windows Embedded Standard 2009 with IE7 and WMP11 Security Update KB975713 (Version 1.0,R1).
  4. Click Delete Package, then confirm by clicking Yes.
  5. Reinstall June 2012 WES09IE7WMP11 security update WindowsEmbeddedStandard09IE7WMP11-June2012-x86-ENU.exe.

Steps to verify the workaround fix:

  1. Open Component Database Manager.
  2. Select Packages tab.
  3. Under Available packages, select Windows Embedded Standard 2009 with IE7 and WMP11 Security Update KB975713 (Version 1.0,R1).
  4. Click Properties.
  5. Verify the package lists only one Primitive: Shlwapi - Security Update KB975713 [Version 5.1.2600.6000.2,R6500] component.
blog comments powered by Disqus